import type { CaptchaFactoryInterface, CaptchaInterface } from '../Interface/index.js';
import type { TypeBaseConfig } from '../Type/index.js';
export declare class CaptchaFactory implements CaptchaFactoryInterface<TypeBaseConfig> {
    /**
     * Creates an captcha based on the provided configuration.
     *
     * @param {TypeConfig} config - The configuration object for the email provider.
     * @returns {CaptchaInterface} - An captcha instance.
     * @throws {Error} - Throws an error when requested provider captcha can't be created.
     */
    create(config: TypeBaseConfig): CaptchaInterface;
}
