import { CaptchaFactoryRegistry } from '../Registry/index.js';
export class CaptchaFactory {
    /**
     * Creates an captcha based on the provided configuration.
     *
     * @param {TypeConfig} config - The configuration object for the email provider.
     * @returns {CaptchaInterface} - An captcha instance.
     * @throws {Error} - Throws an error when requested provider captcha can't be created.
     */
    create(config) {
        const factoryConstructor = CaptchaFactoryRegistry.getCaptchaFactory(config.CAPTCHA_PROVIDER ?? 'unknown');
        const factory = new factoryConstructor();
        return factory.create(config);
    }
}
